contentinspectionglobal_contentinspectionpolicy_binding
Binding object showing the contentinspectionpolicy that can be bound to contentinspectionglobal.
Properties
(click to see Operations )
| Name | Data Type | Permissions | Description |
|---|---|---|---|
| priority | <Integer> | Read-write | Specifies the priority of the policy. |
| labeltype | <String> | Read-write | Type of invocation. Available settings function as follows: * reqvserver - Forward the request to the specified request virtual server. * resvserver - Forward the response to the specified response virtual server. * policylabel - Invoke the specified policy label.
Possible values = reqvserver, resvserver, policylabel
|
| labelname | <String> | Read-write | * If labelType is policylabel, name of the policy label to invoke. * If labelType is reqvserver or resvserver, name of the virtual server to which to forward the request of response. |
| type | <String> | Read-write | The bindpoint to which to policy is bound.
Possible values = REQ_OVERRIDE, REQ_DEFAULT, RES_OVERRIDE, RES_DEFAULT
|
| invoke | <Boolean> | Read-write | Terminate evaluation of policies bound to the current policy label, and then forward the request to the specified virtual server or evaluate the specified policy label. |
| gotopriorityexpression | <String> | Read-write | Expression specifying the priority of the next policy which will get evaluated if the current policy rule evaluates to TRUE. |
| globalbindtype | <String> | Read-write | .
Default value: SYSTEM_GLOBAL
Possible values = SYSTEM_GLOBAL, VPN_GLOBAL, RNAT_GLOBAL, APPFW_GLOBAL, TM_GLOBAL
|
| policyname | <String> | Read-write | Name of the contentInspection policy. |
| numpol | <Integer> | Read-only | The number of policies bound to the bindpoint. |
| flowtype | <Integer> | Read-only | flowtype of the bound contentInspection policy. |
| __count | <Double> | Read-only | count parameter |
Operations
(click to see Properties )
- ADD
- DELETE
- GET
- COUNT
Some options that you can use for each operations:
-
Getting warnings in response: NITRO allows you to get warnings in an operation by specifying the 'warning' query parameter as 'yes'. For example, to get warnings while connecting to the NetScaler appliance, the URL is as follows:http:// <netscaler-ip-address> /nitro/v1/config/login?warning=yesIf any, the warnings are displayed in the response payload with the HTTP code '209 X-NITRO-WARNING'.
-
Authenticated access for individual NITRO operations: NITRO allows you to logon to the NetScaler appliance to perform individual operations. You can use this option instead of creating a NITRO session (using the login object) and then using that session to perform all operations,To do this, you must specify the username and password in the request header of the NITRO request as follows:X-NITRO-USER: <username>X-NITRO-PASS: <password>Note: In such cases, make sure that the request header DOES not include the following:Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
*Note: * Mandatory parameters are marked in red and placeholder content is marked in green
add
URL: http:// <netscaler-ip-address /nitro/v1/config/contentinspectionglobal_contentinspectionpolicy_binding HTTP Method: PUT
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{
"contentinspectionglobal_contentinspectionpolicy_binding":{
<b>"policyname":<String_value>,
</b><b>"priority":<Integer_value>,
</b>"gotopriorityexpression":<String_value>,
"type":<String_value>,
"invoke":<Boolean_value>,
"labeltype":<String_value>,
"labelname":<String_value>
}}
Response: HTTP Status Code on Success: 201 Created
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
delete
URL: http:// <netscaler-ip-address> /nitro/v1/config/contentinspectionglobal_contentinspectionpolicy_binding Query-parameters: args http:// <netscaler-ip-address> /nitro/v1/config/contentinspectionglobal_contentinspectionpolicy_binding? args= policyname:<String_value>, type: <String_value> ,priority: <Integer_value>
HTTP Method: DELETE
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
get
URL: http:// <netscaler-ip-address> /nitro/v1/config/contentinspectionglobal_contentinspectionpolicy_binding Query-parameters: args http:// <netscaler-ip-address> /nitro/v1/config/contentinspectionglobal_contentinspectionpolicy_binding? args=type: <String_value>
Use this query-parameter to get contentinspectionglobal_contentinspectionpolicy_binding resources based on additional properties.
filter http:// <netscaler-ip-address> /nitro/v1/config/contentinspectionglobal_contentinspectionpolicy_binding? filter=property-name1:property-value1,property-name2:property-value2
Use this query-parameter to get the filtered set of contentinspectionglobal_contentinspectionpolicy_binding resources configured on NetScaler.Filtering can be done on any of the properties of the resource.
pagination http:// <netscaler-ip-address> /nitro/v1/config/contentinspectionglobal_contentinspectionpolicy_binding? pagesize=#no;pageno=#no
Use this query-parameter to get the contentinspectionglobal_contentinspectionpolicy_binding resources in chunks.
HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{ "contentinspectionglobal_contentinspectionpolicy_binding": [ {
"priority":<Integer_value>,
"labeltype":<String_value>,
"labelname":<String_value>,
"type":<String_value>,
"invoke":<Boolean_value>,
"gotopriorityexpression":<String_value>,
"globalbindtype":<String_value>,
"policyname":<String_value>,
"numpol":<Integer_value>,
"flowtype":<Integer_value>
}]}
count
URL: http:// <netscaler-ip-address> /nitro/v1/config/contentinspectionglobal_contentinspectionpolicy_binding? count=yes HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{ "contentinspectionglobal_contentinspectionpolicy_binding": [ { "__count": "#no"} ] }